Skip to content

developer.overview

GET
/v1/developer
curl --request GET \
--url https://example.com/v1/developer \
--header 'Authorization: Bearer <token>'

Success

Media typeapplication/json
object
apps
required
Array<object>
object
cardUrl
required
string
candidate
required
object
cardUrl
required
string
card
required
object
$schema
required
string
Allowed values: https://static.modelcontextprotocol.io/schemas/v1/server-card.schema.json
name
required
string
>= 2 characters <= 200 characters
version
required
string
>= 1 characters <= 255 characters
description
required
string
>= 1 characters <= 100 characters
title
Any of:
string
>= 1 characters <= 100 characters
websiteUrl
Any of:
string
repository
Any of:
object
url
required
string
source
required
string
subfolder
Any of:
string
id
Any of:
string
icons
Any of:
Array<object>
object
src
required
string
mimeType
Any of:
string
sizes
Any of:
Array<string>
theme
Any of:
string
Allowed values: light dark
remotes
Any of:
Array<object>
object
type
required
string
Allowed values: streamable-http sse
url
required
string
headers
Any of:
Array<object>
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
name
required
string
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
supportedProtocolVersions
Any of:
Array<string>
_meta
Any of:
object
endpoints
required
Array<object>
object
index
required
integer
<= 9007199254740991
remote
required
object
type
required
string
Allowed values: streamable-http sse
url
required
string
headers
Any of:
Array<object>
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
name
required
string
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
variables
Any of:
object
key
additional properties
object
description
Any of:
string
isRequired
Any of:
boolean
isSecret
Any of:
boolean
format
Any of:
string
Allowed values: string number boolean filepath
default
Any of:
string
placeholder
Any of:
string
value
Any of:
string
choices
Any of:
Array<string>
supportedProtocolVersions
Any of:
Array<string>
requirements
required
Array<object>
object
key
required
string
description
Any of:
string
isSecret
required
boolean
format
Any of:
string
choices
Any of:
Array<string>
sources
required
Array<object>
object
role
required
string
Allowed values: input page catalog card endpoint manual
url
required
string
originalInput
Any of:
string
grants
required
Array<object>
object
proofId
required
string
memberId
string
scope
required
Any of:
object
_tag
required
string
Allowed values: PublisherHostname
hostname
required
string
>= 1 characters
role
required
string
Allowed values: administrator maintainer viewer
proofs
required
Array<object>
object
id
required
string
transition
required
integer
<= 9007199254740991
scope
required
Any of:
object
_tag
required
string
Allowed values: PublisherHostname
hostname
required
string
>= 1 characters
status
required
string
Allowed values: Confirmed Unconfirmed Suspended Relinquished
confirmedAt
required
Any of:
number
validUntil
required
number
nextVerificationAt
required
number
reason
required
Any of:
string
grants
required
Array<object>
object
proofId
required
string
memberId
string
scope
required
Any of:
object
_tag
required
string
Allowed values: PublisherHostname
hostname
required
string
>= 1 characters
role
required
string
Allowed values: administrator maintainer viewer

Example

{
"apps": [
{
"candidate": {
"card": {
"$schema": "https://static.modelcontextprotocol.io/schemas/v1/server-card.schema.json",
"icons": [
{
"theme": "light"
}
],
"remotes": [
{
"type": "streamable-http",
"headers": [
{
"format": "string",
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
],
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
]
},
"endpoints": [
{
"remote": {
"type": "streamable-http",
"headers": [
{
"format": "string",
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
],
"variables": {
"additionalProperty": {
"format": "string"
}
}
}
}
],
"sources": [
{
"role": "input"
}
]
},
"grants": [
{
"scope": {
"_tag": "PublisherHostname"
},
"role": "administrator"
}
]
}
],
"proofs": [
{
"scope": {
"_tag": "PublisherHostname"
},
"status": "Confirmed"
}
],
"grants": [
{
"scope": {
"_tag": "PublisherHostname"
},
"role": "administrator"
}
]
}

DeveloperInputInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: DeveloperInputInvalid
message
required
string
keys
Array<string>

Example

{
"_tag": "DeveloperInputInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

DeveloperRestricted | DeveloperForbidden | PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: DeveloperRestricted
restriction
required
object
cardUrl
required
string
reason
required
string
>= 1 characters
appealUrl
required
string

Example

{
"_tag": "DeveloperRestricted"
}

DeveloperNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: DeveloperNotFound

Example

{
"_tag": "DeveloperNotFound"
}

DeveloperConflict

Media typeapplication/json
object
_tag
required
string
Allowed values: DeveloperConflict
reason
required
string

Example

{
"_tag": "DeveloperConflict"
}

DeveloperUnavailable | AuthorizationUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: DeveloperUnavailable

Example

{
"_tag": "DeveloperUnavailable"
}